curl --request POST \
--url 'https://api.stateset.com/api/v1/lots' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"cost_per_unit": "string",
"expiration_date": "2026-08-31T14:22:05Z",
"lot_number": "string",
"notes": "Two-person tent, green — replacement for damaged pole set.",
"production_date": "2026-08-31T14:22:05Z",
"quantity": "string",
"sku": "SKU-TENT-2P-GRN",
"supplier_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"supplier_lot": "string"
}'
{
"created_at": "2026-08-31T14:22:05Z",
"expiration_date": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"lot_number": "string",
"production_date": "2026-08-31T14:22:05Z",
"quantity_available": "string",
"quantity_produced": "string",
"quantity_remaining": "string",
"quantity_reserved": "string",
"sku": "SKU-TENT-2P-GRN",
"status": "pending"
}
Create a lot
Create a lot
POST
/
api
/
v1
/
lots
curl --request POST \
--url 'https://api.stateset.com/api/v1/lots' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"cost_per_unit": "string",
"expiration_date": "2026-08-31T14:22:05Z",
"lot_number": "string",
"notes": "Two-person tent, green — replacement for damaged pole set.",
"production_date": "2026-08-31T14:22:05Z",
"quantity": "string",
"sku": "SKU-TENT-2P-GRN",
"supplier_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"supplier_lot": "string"
}'
{
"created_at": "2026-08-31T14:22:05Z",
"expiration_date": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"lot_number": "string",
"production_date": "2026-08-31T14:22:05Z",
"quantity_available": "string",
"quantity_produced": "string",
"quantity_remaining": "string",
"quantity_reserved": "string",
"sku": "SKU-TENT-2P-GRN",
"status": "pending"
}
Request body
CreateLotRequest
string,null
Decimal unit cost as a string.
string,null
RFC 3339 timestamp.
string,null
Lot number; auto-generated when omitted.
string,null
string,null
RFC 3339 timestamp.
string
required
Decimal quantity as a string.
string
required
string,null
string,null
Response
LotResponse
string
required
string,null
string
required
string
required
string
required
string
required
string
required
string
required
string
required
string
required
string
required
Status codes
| Code | Meaning |
|---|---|
201 | — |
400 | — |
curl --request POST \
--url 'https://api.stateset.com/api/v1/lots' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"cost_per_unit": "string",
"expiration_date": "2026-08-31T14:22:05Z",
"lot_number": "string",
"notes": "Two-person tent, green — replacement for damaged pole set.",
"production_date": "2026-08-31T14:22:05Z",
"quantity": "string",
"sku": "SKU-TENT-2P-GRN",
"supplier_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"supplier_lot": "string"
}'
{
"created_at": "2026-08-31T14:22:05Z",
"expiration_date": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"lot_number": "string",
"production_date": "2026-08-31T14:22:05Z",
"quantity_available": "string",
"quantity_produced": "string",
"quantity_remaining": "string",
"quantity_reserved": "string",
"sku": "SKU-TENT-2P-GRN",
"status": "pending"
}
Last modified on August 31, 2026